Name: luminance-hdr
Version: 2.4.0
Release: 5%{?dist}
Summary: A graphical tool for creating and tone-mapping HDR images

Group: Applications/Productivity
License: GPLv2+
URL: http://qtpfsgui.sourceforge.net/
Source0: http://downloads.sourceforge.net/qtpfsgui/%{name}-%{version}.tar.bz2
Source1: luminance-hdr-48x48.png
Patch0: luminance-hdr-2.4.0-noqt5printsupport.patch
# fix build on non-x86 arches
Patch1: luminance-hdr-2.4.0-non-x86.patch
# fix saving tmo parameters
Patch2: luminance-hdr-2.4.0-fixSaveParameters.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtdeclarative-devel
BuildRequires: qt5-qtwebkit-devel
BuildRequires: qt5-qttools-devel
BuildRequires: OpenEXR-devel
BuildRequires: exiv2-devel
BuildRequires: fftw-devel
BuildRequires: libjpeg-devel
BuildRequires: libtiff-devel
BuildRequires: gsl-devel
BuildRequires: desktop-file-utils
BuildRequires: cmake
BuildRequires: LibRaw-devel
BuildRequires: libpng-devel
BuildRequires: lcms2-devel
BuildRequires: boost-devel
BuildRequires: CCfits-devel
BuildRequires: gtest

Obsoletes: qtpfsgui < 2.2.0
Provides: qtpfsgui = %{version}-%{release}

%description
Luminance is a graphical program for assembling bracketed photos into High
Dynamic Range (HDR) images.  It also provides a number of tone-mapping
operators for creating low dynamic range versions of HDR images.


%prep
%setup -q -n %{name}-%{version}%{?pre:-%{pre}}

%patch0 -p1
%ifnarch %{ix86} x86_64
%patch1 -p1
%endif
%patch2 -p1

# fix inconsistant newlines
%{__sed} -i 's/\r//' Changelog


%build
%{cmake} -DBUILD_SHARED_LIBS:BOOL=OFF -DCMAKE_BUILD_TYPE=Release .

make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot}
cp -pf *.qm %{buildroot}/%{_datadir}/%{name}/i18n
mkdir -p %{buildroot}/%{_datadir}/mime/packages
cp -pf luminance-hdr.xml %{buildroot}/%{_datadir}/mime/packages
cp -pf luminance-hdr.desktop %{buildroot}/%{_datadir}/applications
install -p -D -m 755 %{SOURCE1} %{buildroot}/%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

desktop-file-install --delete-original \
	--dir=%{buildroot}/%{_datadir}/applications \
	%{buildroot}/%{_datadir}/applications/%{name}.desktop

# Register as an application to be visible in the software center
#
# NOTE: It would be *awesome* if this file was maintained by the upstream
# project, translated and installed into the right place during `make install`.
#
# See http://www.freedesktop.org/software/appstream/docs/ for more details.
#
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cat > $RPM_BUILD_ROOT%{_datadir}/appdata/%{name}.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Ryan Lerch <rlerch@redhat.com> -->
<!--
EmailAddress: davideanastasia@users.sourceforge.net
SentUpstream: 2014-09-18
-->
<application>
  <id type="desktop">luminance-hdr.desktop</id>
  <metadata_license>CC0-1.0</metadata_license>
  <summary>Create HDR images</summary>
  <description>
    <p>
      Luminance HDR is an application for taking a set of pictures taken
      of the same scene with different exposure settings, and creating a
      high dynamic range (HDR) image. It supports a range on imput images,
      including JPEG, TIFF and RAW. It can also rotate and crop, and tonemap
      HDR images.
    </p>
  </description>
  <url type="homepage">http://qtpfsgui.sourceforge.net/</url>
  <screenshots>
    <screenshot type="default">http://qtpfsgui.sourceforge.net/screenshots/MainWindow-2.jpg</screenshot>
  </screenshots>
</application>
EOF

%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
/bin/touch --no-create %{_datadir}/mime/packages &>/dev/null || :
/usr/bin/update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
	/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
	/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
fi
/usr/bin/update-desktop-database &> /dev/null || :

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :

%files
%defattr(-, root, root)
%doc AUTHORS Changelog LICENSE README TODO
%{_bindir}/%{name}
%{_bindir}/%{name}-cli
%{_datadir}/%{name}
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png


%changelog
* Wed Jul 29 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Changes/F23Boost159

* Wed Jul 22 2015 David Tardon <dtardon@redhat.com> - 2.4.0-4
- rebuild for Boost 1.58

* Tue Jul 07 2015 Franco Comida <francocomida@gmail.com> - 2.4.0-3
- Fix saving TMO parameters

* Sat Jul 04 2015 Franco Comida <francocomida@gmail.com> - 2.4.0-2
- Fix Application Icon Size

* Thu Jul 02 2015 Franco Comida <francocomida@gmail.com> - 2.4.0-1
- Updated to Luminance HDR 2.4.0

* Wed Jun 24 2015 Rex Dieter <rdieter@fedoraproject.org> - 2.3.1-15
- rebuild (exiv2)

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 2.3.1-13
- Rebuilt for GCC 5 C++11 ABI change

* Thu Mar 26 2015 Richard Hughes <rhughes@redhat.com> - 2.3.1-12
- Add an AppData file for the software center

* Tue Jan 27 2015 Petr Machata <pmachata@redhat.com> - 2.3.1-11
- Rebuild for boost 1.57.0

* Wed Nov 26 2014 Rex Dieter <rdieter@fedoraproject.org> 2.3.1-10
- rebuild (openexr)

* Mon Sep 08 2014 Rex Dieter <rdieter@fedoraproject.org> 2.3.1-9
- update mime scriptlet

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Petr Machata <pmachata@redhat.com> - 2.3.1-6
- Rebuild for boost 1.55.0

* Wed Jan 22 2014 Jon Ciesla <limburgher@gmail.com> - 2.3.1-5
- Rebuild for new LibRaw.

* Tue Dec 03 2013 Rex Dieter <rdieter@fedoraproject.org> - 2.3.1-4
- rebuild (exiv2)

* Wed Nov 27 2013 Rex Dieter <rdieter@fedoraproject.org> - 2.3.1-3
- rebuild (openexr)

* Fri Sep 20 2013 Dan Horák <dan[at]danny.cz> - 2.3.1-2
- fix build on non-x86 arches

* Fri Sep 13 2013 Franco Comida <francocomida@googlemail.com> - 2.3.1-1
- Updated to Luminance HDR 2.3.1

* Mon Sep 09 2013 Rex Dieter <rdieter@fedoraproject.org> 2.3.0-9
- rebuild (OpenEXR)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 31 2013 Jon Ciesla <limburgher@gmail.com> - 2.3.0-7
- Rebuild for new LibRaw.

* Sun Mar 10 2013 Rex Dieter <rdieter@fedoraproject.org> - 2.3.0-6
- rebuild (OpenEXR)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jan 18 2013 Adam Tkac <atkac redhat com> - 2.3.0-4
- rebuild due to "jpeg8-ABI" feature drop

* Fri Dec 21 2012 Adam Tkac <atkac redhat com> - 2.3.0-3
- rebuild against new libjpeg

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Jul 01 2012 Franco Comida <francocomida@googlemail.com> - 2.3.0-1
- Updated to Luminance HDR 2.3.0

* Wed May 02 2012 Rex Dieter <rdieter@fedoraproject.org> - 2.2.1-4
- rebuild (exiv2)

* Wed Mar 28 2012 Dan Horák <dan[at]danny.cz> - 2.2.1-3
- fix build on non-x86 arches

* Tue Mar 13 2012 Franco Comida <francocomida@googlemail.com> - 2.2.1-2
- Removed unused PATH from luminance-hdr.desktop

* Sun Mar 11 2012 Franco Comida <fcomida@users.sourceforge.net> 2.2.1-1
- Updated to Luminance HDR 2.2.1

* Tue Feb 21 2012 Franco Comida <fcomida@users.sourceforge.net> 2.2.0-1
- Luminance HDR 2.2.0

